Package org.apache.solr.client.solrj.io.eq

## Class MultipleFieldEqualitor

- java.lang.Object
- - org.apache.solr.client.solrj.io.eq.MultipleFieldEqualitor

All Implemented Interfaces:
  `Serializable`, `Equalitor<Tuple>`, `StreamEqualitor`, `Expressible`

    public class MultipleFieldEqualitor
    extends Object
    implements StreamEqualitor

Wraps multiple Equalitors.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`MultipleFieldEqualitor​(StreamEqualitor... eqs)`

### Method Summary

All Methods Instance Methods Concrete Methods
`StreamEqualitor[]` `getEqs()`
`boolean` `isDerivedFrom​(StreamComparator base)`
`boolean` `isDerivedFrom​(StreamEqualitor base)`
`boolean` `test​(Tuple t1, Tuple t2)`
`Explanation` `toExplanation​(StreamFactory factory)` Returns an explanation about the stream object
`StreamExpressionParameter` `toExpression​(StreamFactory factory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MultipleFieldEqualitor

    public MultipleFieldEqualitor​(StreamEqualitor... eqs)

### Method Detail

#### getEqs

    public StreamEqualitor[] getEqs()

#### toExpression

    public StreamExpressionParameter toExpression​(StreamFactory factory)
                                           throws IOException

Specified by:
  `toExpression` in interface `Expressible`
Throws:
  `IOException`

#### toExplanation

    public Explanation toExplanation​(StreamFactory factory)
                              throws IOException

Description copied from interface: `Expressible`
Returns an explanation about the stream object

Specified by:
  `toExplanation` in interface `Expressible`
Parameters:
  `factory` - Stream factory for this, contains information about the function name
Returns:
  Explanation about this stream object containing explanations of any child stream objects
Throws:
  `IOException` - throw on any error

#### isDerivedFrom

    public boolean isDerivedFrom​(StreamEqualitor base)

Specified by:
  `isDerivedFrom` in interface `StreamEqualitor`

#### isDerivedFrom

    public boolean isDerivedFrom​(StreamComparator base)

Specified by:
  `isDerivedFrom` in interface `StreamEqualitor`

#### test

    public boolean test​(Tuple t1,
                        Tuple t2)

Specified by:
  `test` in interface `Equalitor<Tuple>`